Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.renderer
Class RenderEngine

    java.lang.Object
      net.minecraft.client.renderer.RenderEngine

    public class RenderEngine

extends Object

Field Summary
`boolean` | `blurTexture` Flag set when a texture should use blurry resizing
`boolean` | `clampTexture` Flag set when a texture should not be repeated
`static Logger` | `log`
`List` | `textureList`
`TexturePackList` | `texturePack` Texture pack

Constructor Summary
`RenderEngine(TexturePackList par1TexturePackList, GameSettings par2GameSettings)`

Method Summary
`int` | `allocateAndSetupTexture(BufferedImage par1BufferedImage)` Copy the supplied image onto a newly-allocated OpenGL texture, returning the allocated texture name
`void` | `bindTexture(int par1)`
`void` | `createTextureFromBytes(int[] par1ArrayOfInteger, int par2, int par3, int par4)`
`void` | `deleteTexture(int par1)` Deletes a single GL texture
`int` | `func_82772_a(TextureFX par1TextureFX, int par2)`
`boolean` | `func_82773_c(String par1Str)`
`int` | `getTexture(String par1Str)`
`int[]` | `getTextureContents(String par1Str)`
`int` | `getTextureForDownloadableImage(String par1Str, String par2Str)` Takes a URL of a downloadable image and the name of the local image to be used as a fallback.
`ThreadDownloadImageData` | `obtainImageData(String par1Str, IImageBuffer par2IImageBuffer)` Return a ThreadDownloadImageData instance for the given URL.
`void` | `refreshTextures()` Call setupTexture on all currently-loaded textures again to account for changes in rendering options
`void` | `registerTextureFX(TextureFX par1TextureFX)`
`void` | `releaseImageData(String par1Str)` Decrements the reference count for a given URL, deleting the image data if the reference count hits 0
`void` | `setupTexture(BufferedImage par1BufferedImage, int par2)` Copy the supplied image onto the specified OpenGL texture
`void` | `updateDynamicTextures()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textureList

    public List textureList

### clampTexture

    public boolean clampTexture

  Flag set when a texture should not be repeated

### blurTexture

    public boolean blurTexture

  Flag set when a texture should use blurry resizing

### texturePack

    public TexturePackList texturePack

  Texture pack

### log

    public static Logger log

Constructor Detail

### RenderEngine

    public RenderEngine(TexturePackList par1TexturePackList,
                        GameSettings par2GameSettings)

Method Detail

### getTextureContents

    public int[] getTextureContents(String par1Str)

### getTexture

    public int getTexture(String par1Str)

### allocateAndSetupTexture

    public int allocateAndSetupTexture(BufferedImage par1BufferedImage)

  Copy the supplied image onto a newly-allocated OpenGL texture, returning the allocated texture name

### setupTexture

    public void setupTexture(BufferedImage par1BufferedImage,
                             int par2)

  Copy the supplied image onto the specified OpenGL texture

### createTextureFromBytes

    public void createTextureFromBytes(int[] par1ArrayOfInteger,
                                       int par2,
                                       int par3,
                                       int par4)

### deleteTexture

    public void deleteTexture(int par1)

  Deletes a single GL texture

### getTextureForDownloadableImage

    public int getTextureForDownloadableImage(String par1Str,
                                              String par2Str)

  Takes a URL of a downloadable image and the name of the local image to be used as a fallback. If the image has been downloaded, returns the GL texture of the downloaded image, otherwise returns the GL texture of the fallback image.

### func_82773_c

    public boolean func_82773_c(String par1Str)

### obtainImageData

    public ThreadDownloadImageData obtainImageData(String par1Str,
                                                   IImageBuffer par2IImageBuffer)

  Return a ThreadDownloadImageData instance for the given URL. If it does not already exist, it is created and uses the passed ImageBuffer. If it does, its reference count is incremented.

### releaseImageData

    public void releaseImageData(String par1Str)

  Decrements the reference count for a given URL, deleting the image data if the reference count hits 0

### registerTextureFX

    public void registerTextureFX(TextureFX par1TextureFX)

### updateDynamicTextures

    public void updateDynamicTextures()

### func_82772_a

    public int func_82772_a(TextureFX par1TextureFX,
                            int par2)

### refreshTextures

    public void refreshTextures()

  Call setupTexture on all currently-loaded textures again to account for changes in rendering options

### bindTexture

    public void bindTexture(int par1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD